Teléfono y Whatsapp: 675 18 68 80

Cómo instalar Qt 5.2 en Raspberry Pi

Existe una manera rápida de instalar Qt 5.2 en Raspberry pi sin compilación cruzada ni compilación nativa y extrayendo un archivo tar.

Descargar y extraer la imagen

wget https://dl.dropboxusercontent.com/u/81267937/qt5.2-rpi.tgz
tar xvzf qt5.2-rpi.tgz
rm qt5.2-rpi.tgz

Vincular los directorios

sudo mv qt5 /opt
sudo ln -s /opt/qt5 /usr/local/qt5

Añadir paths al profile

sudo nano /etc/profile

y añadimos al final:

export PATH=${PATH}:/usr/local/qt5/bin
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/local/qt5/lib
export QT_PLUGIN_PATH=/usr/local/qt5/plugins

Guardamos, reiniciamos y ya podremos usarlo para compilar aplicaciones o interpretar QMLs.

  • Peter

    saludos gracias por la imagen, podrías explicar un poquito mejor cómo usar esa imagen ahora en la Raspberry? Cómo se le monta el QT5 y como se usa el cross-compiler a partir de esta imagen

    • walo

      Con este métido de instalación es posible compilar desde Rpi lo que quieras dado que existe también un QMake. No hay necesidad de usar compilación cruzada.

  • walo

    Con estos comandos puedes ejecutar programas QT en raspberry pero para ello debes de compilarlos en la raspberry usando qmake o bien compilarlos en tu pc usando compilación cruzada para armv6 y llevarlo a la raspberry.

  • walo

    Igual es porque ya lo habías copiado antes. Haz un ls /opt/qt5

  • Cristina Parra

    Buenas, he hecho todos los pasos descritos para instalar Qt 5.2 en una tarjeta SIM con Raspbian. todo perfecto sin errores ni problemas, pero a la hora de hacer qmake no reconoce el comando. ¿Alguna idea de cuál puede ser el problema?

    • walo

      Si has añadido el path que indico (último paso), reinicia la Raspberry y te debería de reconocer el comando qmake.

      • Cristina Parra

        Había un error al copiar qt5 en /usr/local, pero ya está solucionado.
        Muchas gracias por el post, me ha salvado la vida, de los mejores que he visto.

  • Juan Carlos

    Buenos días, gracias por toda la información quería hacer una consulta haber si me pueden ayudar, quiero saber si se puede instalar librerías de qt específicamente la librería de poco qt y si es posible como lo realizo

    Muchas gracias